Release Notes for new 3.1 WMS/LB released to PPS as part of gLite 3.0

These notes describe the new version of the WMS/LB released to the PPS.

Versions

This WMS/LB is built for SL3/VDT1.2 and thereby is being released as an update to gLite 3.0. The codebase is commonly referred to as '3.1', so you will hear this version of the WMS/LB referred to as '3.1'. It is the 3.1 WMS/LB for gLite 3.0.

Work is currently ongoing to prepare the 3.1 WMS/LB for gLite 3.1 (ie SL4/VDT1.6, built with ETICS).

Changes

This version contains considerable changes and enhancements with respect to what is currently in production.

  • Reimplementation of collections
  • Many bugfixes and internal enhancements resulting in enormously improved stability
  • Yaim/bash configuration

Note that the Network Server has been removed from this release as it is no longer supported by JRA1.

Installation and Configuration

We have a dedicated page on the Installation and Configuration - follow patch #1251 - but please note the following;

  • This release has needed special versions of various packages which means
    • There is a dedicated repository for the WMS/LB (no need to use the existing 3.0 repo) (see below)
    • There is no upgrade from the existing release

APT repository

A new repository has been set up to install the glite-WMS, glite-LB and glite-WMSLB metapackages as it contains packages that would interfere with the normal 3.0 repository. We are following the new gLite 3.1 release series repository structure for this repository, so in principle there is a repository for each metapackage:

The new WMS repository for PPS is available at the following location:

   http://lxb2042.cern.ch:/gLite/APT/R3.0-pps-WMS/rhel30 

with the 3 repository directories: - externals - Release3.0 - updates

The new LB repository for the PPS is available at the following location:

   http://lxb2042.cern.ch:/gLite/APT/R3.0-pps-LB/rhel30 

with the 3 repository directories: - externals - Release3.0 - updates

The new WMSLB repository for the PPS is available at the following location:

   http://lxb2042.cern.ch:/gLite/APT/R3.0-pps-WMSLB/ rhel30 externals Release3.0 updates

with the 3 repository directories: - externals - Release3.0 - updates

In reality the three repositories are for the moment the same and the LB and WMSLB are only symlinks from the WMS repository. The WMS repository is selfconsistent in the sense that you only need to specify this new repository to install the WMS and you do not need to specify the old 3.0 repository. So in order to install the WMS with apt you would need to specify:

   rpm http://lxb2042.cern.ch:/gLite/APT/R3.0-pps-WMS/ rhel30 externals Release3.0 updates
in the corresponding apt configuration file.

Maintenance

JRA1/SA3 activity has now switched to the '3.1 WMS/LB for gLite 3.1'. Thus while security fixes will be provided where necessary, this release will not be actively maintained.

-- Main.okeeble - 20 Aug 2007

Edit | Attach | Watch | Print version | History: r4 < r3 < r2 < r1 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r4 - 2007-08-20 - OliverKeeble
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EGEE All webs login

This site is powered by the TWiki collaboration platform Powered by Perl This site is powered by the TWiki collaboration platformCopyright & by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Ask a support question or Send feedback